## util-linux 2.27.1

=== debian/changelog ===
util-linux (2.27.1-6ubuntu3.10) xenial; urgency=medium

  * d/p/libblkid-xfs-log-check-for-reg-xfs-on-more-sectors.patch:
    fix ambivalent detection of bcache and xfs_external_log
    due to regular xfs on bcache backing device. (LP: #1858802)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Wed, 08 Jan 2020 11:00:18 -0300

util-linux (2.27.1-6ubuntu3.9) xenial; urgency=medium

  * d/p/libblkid-nilfs2-add-length-check-before-crc32.patch:
    Fix misdetection/false-positive of nilfs2 filesystem on
    device with magic bytes coincidentally on end of device
    and bad checksum ignored by udev blkid. (LP: #1842437)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Tue, 03 Sep 2019 11:32:50 -0300

util-linux (2.27.1-6ubuntu3.8) xenial; urgency=medium

  * d/p/prevent-fstrim-inside-container.patch:
    - Prevent fstrim to run inside a container environment.
    (LP: #1589289)

  * d/fstrim-all.cron: Prevent cron.weekly to fstrim if inside a
    container.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Thu, 22 Aug 2019 23:56:21 +0000

util-linux (2.27.1-6ubuntu3.7) xenial; urgency=medium

  * d/patches/lscpu-cleanup-DMI-detection-return-codes.patch:
    Cherry pick upstream patch to fix correctly identifying 
    virtualization type.
    LP: #1764628

 -- Manoj Iyer <manoj.iyer@canonical.com>  Tue, 02 Apr 2019 17:20:29 -0500

util-linux (2.27.1-6ubuntu3.6) xenial; urgency=medium

  * d/patches/lscpu-make-min-max-freq-arrays-usage-more-robust.patch,
    d/patches/Avoid-crash-in-min-max-caculation-when-cpu-0-being-o.patch:
    Cherry pick upstream patches to avoid SEGV in min/max frequency.
    LP: #1771345

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 16 May 2018 12:36:24 +0200

util-linux (2.27.1-6ubuntu3.5) xenial; urgency=medium

  * d/patches/lscpu-Read-available-CPUs-max-and-min-frequencies.patch,
    d/patches/lscpu-make-cpu_-max-min-_mhz-usage-more-elegant.patch:
    Backport upstream fixes to correctly read minimum and maximum
    CPU frequencies on ppc64 when some cpus are guarded or offline.
    LP: #1732865

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 01 Feb 2018 16:17:18 +0100

util-linux (2.27.1-6ubuntu3.4) xenial; urgency=medium

  * Add --with-audit to rules file and libaudit-dev to build depenedencies.
    The hwclock needs audit defined in order to create audit records when
    time is changed. (LP: #1722313)

 -- Joy Latten <joy.latten@canonical.com>  Fri, 03 Nov 2017 17:46:07 -0500

util-linux (2.27.1-6ubuntu3.3) xenial; urgency=medium

  * Cherrypick upstream fix to prevent lscpu crash on arm64 by
    accessing DMI in sysfs instead of /dev/mem. LP: #1674258

 -- Ike Panhc <ike.pan@canonical.com>  Thu, 18 May 2017 10:49:34 +0800

util-linux (2.27.1-6ubuntu3.2) xenial; urgency=medium

  * Cherrypick upstream fix to prevent segfaults in getopt by ensuring
    that options array is correctly terminated. LP: #1577460

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 16 Dec 2016 14:49:06 +0000

util-linux (2.27.1-6ubuntu3.1) xenial; urgency=medium

  * debian/patches/git_hybrid_cds.patch:
    - backport upstream fix to make hybrid disk work again, should resolve
      some disks like video DVDs not showing in the desktop interface
      (lp: #1584509)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 25 May 2016 18:00:50 +0200

util-linux (2.27.1-6ubuntu3) xenial; urgency=medium

  * Add debian/patches/script-use-empty-slave.patch taken from
    upstream git (LP: #1553353, Closes: #820843)

 -- Simon Deziel <simon.deziel@gmail.com>  Wed, 13 Apr 2016 15:01:21 +0000

util-linux (2.27.1-6ubuntu2) xenial; urgency=medium

  * Add upstream-lscpu-powerpc.patch: lscpu: Fix model and model name on Power
    Systems. (Backported from upstream trunk). (LP: #1563514)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 30 Mar 2016 23:10:32 +0200

util-linux (2.27.1-6ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Regularly trim SSDs automatically (core-1311-ssd-trimming):
      + Add debian/fstrim-all.cron: Call fstrim --all. Installed as
        /etc/cron.weekly/fstrim.
    - Upstart support:
      + Add hwclock{-save}.upstart, and install them in debian/rules.
      + Drop debian/hwclock.rules and hwclock.default.
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.
    - Make util-linux Breaks old {p,}mac-fdisk for the fdisk binary takeover.
    - Drop debian/util-linux.preinst: Unconditionally deleting files
      is wrong, and dpkg will overwrite symlinks with real files anyway.
    - Drop debian/util-linux.preinst: Unconditionally deleting files
      is wrong, and dpkg will overwrite symlinks with real files anyway.
    - Adjust the Breaks: cloud-utils to 0.27-0ubuntu16 (the Ubuntu version
      that works with util-linux 2.26), and also move it to cloud-guest-utils.
    - Add debian/libblkid1.maintscript to clean up /etc/blkid.conf on upgrade.
      This needs to be kept until after Ubuntu 16.04 LTS.
  * Debian changes fix upgrade failure. (LP: #1556539)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 14 Mar 2016 10:09:48 +0100

util-linux (2.27.1-6) unstable; urgency=medium

  * Drop (versioned) init-system-helpers dependency to avoid dep loop.
    - initscripts is guaranteed to be installed in stable/jessie, the file
      is additionally a conffile so initscripts will need to be purged to
      cause a problem for us with i-s-h << 1.29 and purging initscripts is
      not possible until after the upgrade anyway. (Closes: #817857)
  * Temporarily move sysvinit-utils back from Breaks to Depends.
    - again seems to confuse apt and we apparently need a synchronized

