=== debian/watch ===
version=3
https://www.kernel.org/pub/linux/utils/util-linux/v([\.\d]+)/util-linux-([\.\d]+)\.tar\.xz
