## util-linux 2.28

=== debian/changelog ===
util-linux (2.28-5) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Fix regression in libmount1 symbols annotations

  [ Samuel Thibault ]
  * Don't ship chrt on hurd which lacks sched_setscheduler (Closes: #823765)

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 08 May 2016 20:45:49 +0200

util-linux (2.28-4) unstable; urgency=medium

  [ Steven Chamberlain ]
  * Only try to ship uuidd binary in uuid-runtime on linux-any
    (Closes: #823684)

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 07 May 2016 19:12:39 +0200

util-linux (2.28-3) unstable; urgency=medium

  * Attempt to work around debootstrap problems for hwclock.sh.
    Thanks to Helmut Grohne for coming up with ideas on how to handle this.
    (Closes: #823665)

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 07 May 2016 14:34:20 +0200

util-linux (2.28-2) unstable; urgency=medium

  * Move sysvinit-utils back to Breaks (instead of Depends), see #823569

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 06 May 2016 06:15:37 +0200

util-linux (2.28-1) unstable; urgency=medium

  * New upstream release.
  * Use cgit url for Vcs-Browser field
  * mount: Add Breaks/Replaces on older bash-completion
    - for newly shipped umount/mount completion files. (Closes: #820247)

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 12 Apr 2016 15:55:31 +0200

util-linux (2.28~rc2-1) experimental; urgency=medium

  [ Andreas Henriksson ]
  * Imported Upstream version 2.28~rc2
    - among other things includes these fixes:
      swapon: rewrite control struct usage (Closes: 818252)
      tests: improve setarch tests, regarding --uname-2.6 issues (See: #806911)
  * Drop debian/patches/Mark-setarch-testcase-as-known-fail.patch
    - Now obsoleted by upstream changes.
  * Ship new lsns utility in util-linux package
  * Run tests with --parallel=1 to avoid mixing output.
    Thanks to Ruediger Meier for the suggestion.

  [ Laurent Bigonville ]
  * Ship setpriv executable in new setpriv package
    - separate package to avoid making setpriv essential and
      making dependency libcap-ng pseudo-essential. (Closes: #755885)

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 29 Mar 2016 12:59:12 +0200

util-linux (2.28~rc1-1) experimental; urgency=medium

  * debian/gbp.conf: Set branches to master/upstream
  * Imported Upstream version 2.28~rc1
    This includes additional fixes for the following debian bug reports:
    - "bash-completion: fstrim: use mountpoint, not device" (Closes: #804833)
    - "logger: always update header when writing stdin line" (Closes: #798239)
    - "libfdisk: Fix order of C/H/S numbers output" (Closes: #815847)
  * Drop debian/patches/build-sys-use-PKG_CONFIG.patch, now included upstream.
  * Document added symbols and bump shlibs for libfdisk1, libmount1
    and libsmartcols1
  * Bump Standards-Version to 3.9.7
  * Update debian/README.source for master/upstream
  * Upload to experimental.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 13 Mar 2016 13:06:25 +0100
