=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                dh-systemd (>= 1.5),
                dpkg-dev (>= 1.17.14),
                gettext,
+               libcap-ng-dev [linux-any] <!stage1>,
                libncurses5-dev,
                libncursesw5-dev,
                libpam0g-dev <!stage1>,
@@ -18,17 +19,15 @@
                pkg-config,
                po-debconf,
                systemd [linux-any] <!stage1>,
-               zlib1g-dev,
-               libaudit-dev
+               zlib1g-dev
 Section: base
 Priority: required
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian util-linux Maintainers <ah-util-linux@debian.org>
+Maintainer: Debian util-linux Maintainers <ah-util-linux@debian.org>
 Uploaders: LaMont Jones <lamont@debian.org>,
            Andreas Henriksson <andreas@fatal.se>,
            Adam Conrad <adconrad@0c3.net>
-Standards-Version: 3.9.6
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/pkg-util-linux.git
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pkg-util-linux.git/
 Vcs-Git: git://anonscm.debian.org/collab-maint/pkg-util-linux.git
 
 Package: util-linux
@@ -38,8 +37,6 @@
 Essential: yes
 Pre-Depends: ${misc:Pre-Depends}, ${shlibs:Depends}
 Depends: ${misc:Depends},
-# conceptually a Breaks:, but confuses apt (#786469)
-          sysvinit-utils (>= 2.88dsf-59.1~),
 Suggests: dosfstools, kbd | console-tools, util-linux-locales
 Replaces: bash-completion (<< 1:2.1-4.1~),
           sysvinit-utils (<< 2.88dsf-59.1~),
@@ -48,9 +45,8 @@
           mount (= 2.26.2-3ubuntu1)
 Breaks: bash-completion (<< 1:2.1-4.1~),
           grml-debootstrap (<< 0.68),
-          cloud-guest-utils (<< 0.27-0ubuntu16),
-          pmac-fdisk (<< 0.1-16ubuntu3),
-          mac-fdisk (<< 0.1-16ubuntu3),
+          cloud-utils (<< 0.27-1~),
+          sysvinit-utils (<< 2.88dsf-59.4~),
           mount (= 2.26.2-3),
           mount (= 2.26.2-3ubuntu1)
 Multi-Arch: foreign
@@ -82,6 +78,8 @@
 Pre-Depends: ${misc:Pre-Depends}, ${shlibs:Depends}
 Depends: ${misc:Depends}
 Suggests: nfs-common (>=1:1.1.0-13)
+Breaks: bash-completion (<< 1:2.1-4.3~)
+Replaces: bash-completion (<< 1:2.1-4.3~)
 Multi-Arch: foreign
 Description: tools for mounting and manipulating filesystems
  This package provides the mount(8), umount(8), swapon(8),
@@ -329,3 +327,15 @@
 Description: stripped down miscellaneous system utilities, for debian-installer
  This is a minimal version of util-linux for debian-installer. It only
  contains the blkid binary at the moment.
+
+Package: setpriv
+Architecture: linux-any
+Build-Profiles: <!stage1>
+Section: admin
+Priority: optional
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: foreign
+Description: tool to run a program with different Linux privilege settings
+ This package provides the setpriv command which allows the user to set or
+ query various Linux privilege settings that are inherited across execve.
