=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,6 @@
 CONFOPTS += --enable-raw
 CONFOPTS += --with-selinux
 CONFOPTS += --enable-partx
-CONFOPTS += --with-audit
 ifneq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
 	CONFOPTS += --without-systemd --without-udev
 else
@@ -126,10 +125,6 @@
 	done
 	#
 	rm -rf debian/*-udeb/usr/share/doc
-	# automatically trim SSD drives
-	if [ -f debian/util-linux/sbin/fstrim ] ; then \
-	    install -D -m 755 debian/fstrim-all.cron debian/util-linux/etc/cron.weekly/fstrim; \
-	fi
 
 override_dh_installman:
 	dh_installman --language=C
@@ -144,10 +139,9 @@
 	# install /etc/init.d/hwclock.sh
 	# - update-rc.d manually handled in maintainers scripts as there
 	#   is special per-arch considerations.
-	dh_installinit --name=hwclock.sh --noscripts --no-start
-	dh_installinit -putil-linux --name=hwclock-save --no-start
+	dh_installinit --name=hwclock.sh --noscripts
 	# install /etc/default/hwclock
-	dh_installinit --name=hwclock --no-start
+	dh_installinit --name=hwclock
 	# install uuidd sysvinit script
 	make misc-utils/uuidd.rc
 	ln -s ../misc-utils/uuidd.rc debian/uuid-runtime.uuidd.init
