## util-linux 2.28.2

=== debian/changelog ===
util-linux (2.28.2-1ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Regularly trim SSDs automatically (core-1311-ssd-trimming):
      + Add debian/fstrim-all.cron: Call fstrim --all. Installed as
        /etc/cron.weekly/fstrim.
    - Drop debian/hwclock.rules and hwclock.default, recent kernels sync the
      RTC automatically.
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.
    - Drop debian/util-linux.preinst: Unconditionally deleting files
      is wrong, and dpkg will overwrite symlinks with real files anyway.
    - Drop the Breaks: cloud-utils, Ubuntu has a different cloud-utils
      packaging and this does not affect Ubuntu > 16.04 any more.
    - Add debian/util-linux.maintscript to clean upstart jobs on upgrade. This
      needs to be kept until after 18.04 LTS.
  * The new upstream version reverts the sfdisk exit code change from 2.28.1.
    (LP: #1619285)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 12 Sep 2016 23:22:44 +0200

util-linux (2.28.2-1) unstable; urgency=medium

  * debian/gbp.conf: set upstream-vcs-tag for import-orig
  * New upstream release.
    - among other things includes fixes for HPPA testsuite failures
      (Closes: #827225)
  * Drop d/p/tests-Fix-fdisk-id-and-fdisk-mbr-nondos-mode-on-Sparc.patch
    - now include in upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 09 Sep 2016 14:20:42 +0200

util-linux (2.28.1-1ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Regularly trim SSDs automatically (core-1311-ssd-trimming):
      + Add debian/fstrim-all.cron: Call fstrim --all. Installed as
        /etc/cron.weekly/fstrim.
    - Drop debian/hwclock.rules and hwclock.default, recent kernels sync the
      RTC automatically.
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.
    - Drop debian/util-linux.preinst: Unconditionally deleting files
      is wrong, and dpkg will overwrite symlinks with real files anyway.
    - Drop the Breaks: cloud-utils, Ubuntu has a different cloud-utils
      packaging and this does not affect Ubuntu > 16.04 any more.
  * Drop obsolete upstart jobs and add debian/util-linux.maintscript to clean
    them up on upgrades. This needs to be kept until after 18.04 LTS.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 24 Aug 2016 07:19:36 +0200

util-linux (2.28.1-1) unstable; urgency=medium

  * New upstream release.
    - includes fixes for CVE-2016-5011 (Closes: #830802)
  * Refresh debian/patches
  * Bump Standards-Version to 3.9.8

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 15 Aug 2016 17:29:14 +0200

util-linux (2.28-6) unstable; urgency=medium

  * Cherry-pick sparc64 testsuite fix from upstream.
    Thanks to James Clarke

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 14 Jul 2016 12:50:16 +0200

util-linux (2.28-5ubuntu2) yakkety; urgency=medium

  * debian/patches/git_hybrid_cds.patch:
    - backport upstream fix to make hybrid disk work again, should resolve
      some disks like video DVDs not showing in the desktop interface
      (lp: #1577768)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 25 May 2016 18:20:21 +0200

util-linux (2.28-5ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Regularly trim SSDs automatically (core-1311-ssd-trimming):
      + Add debian/fstrim-all.cron: Call fstrim --all. Installed as
        /etc/cron.weekly/fstrim.
    - Upstart support:
      + Add hwclock{-save}.upstart, and install them in debian/rules.
      + Drop hwclock.default.
    - Drop debian/hwclock.rules, recent kernels sync the RTC automatically.
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.
    - Drop debian/util-linux.preinst: Unconditionally deleting files
      is wrong, and dpkg will overwrite symlinks with real files anyway.
    - Drop the Breaks: cloud-utils, Ubuntu has a different cloud-utils
      packaging and this does not affect Ubuntu > 16.04 any more.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 20 May 2016 11:53:15 +0200
