=== debian/control ===
--- 
+++ 
@@ -22,11 +22,12 @@
                zlib1g-dev
 Section: base
 Priority: required
-Maintainer: Debian util-linux Maintainers <ah-util-linux@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian util-linux Maintainers <ah-util-linux@debian.org>
 Uploaders: LaMont Jones <lamont@debian.org>,
            Andreas Henriksson <andreas@fatal.se>,
            Adam Conrad <adconrad@0c3.net>
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pkg-util-linux.git/
 Vcs-Git: git://anonscm.debian.org/collab-maint/pkg-util-linux.git
 
@@ -45,7 +46,6 @@
           mount (= 2.26.2-3ubuntu1)
 Breaks: bash-completion (<< 1:2.1-4.1~),
           grml-debootstrap (<< 0.68),
-          cloud-utils (<< 0.27-1~),
           sysvinit-utils (<< 2.88dsf-59.4~),
           mount (= 2.26.2-3),
           mount (= 2.26.2-3ubuntu1)
