## util-linux 2.29

=== debian/changelog ===
util-linux (2.29-1ubuntu2.2) zesty; urgency=medium

  * Add --with-audit to rules file and libaudit-dev to build depenedencies.
    The hwclock needs audit defined in order to create audit records when
    time is changed. (LP: #1722313)

 -- Joy Latten <joy.latten@canonical.com>  Fri, 03 Nov 2017 17:26:50 -0500

util-linux (2.29-1ubuntu2.1) zesty; urgency=medium

  * Cherrypick upstream fix to prevent lscpu crash on arm64 by
    accessing DMI in sysfs instead of /dev/mem. LP: #1674258

 -- Ike Panhc <ike.pan@canonical.com>  Thu, 18 May 2017 10:49:34 +0800

util-linux (2.29-1ubuntu2) zesty; urgency=medium

  * Add fallocate binary to util-linux-udeb.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 16 Nov 2016 12:24:30 +0000

util-linux (2.29-1ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Regularly trim SSDs automatically (core-1311-ssd-trimming):
      + Add debian/fstrim-all.cron: Call fstrim --all. Installed as
        /etc/cron.weekly/fstrim.
    - Drop debian/hwclock.rules and hwclock.default, recent kernels sync the
      RTC automatically.
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.
    - Drop debian/util-linux.preinst: Unconditionally deleting files
      is wrong, and dpkg will overwrite symlinks with real files anyway.
    - Drop the Breaks: cloud-utils, Ubuntu has a different cloud-utils
      packaging and this does not affect Ubuntu ≥ 16.04 any more.
    - Add debian/util-linux.maintscript to clean upstart jobs on upgrade. This
      needs to be kept until after 18.04 LTS.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 14 Nov 2016 12:53:02 +0100

util-linux (2.29-1) unstable; urgency=medium

  * New upstream release.
  * Revert "Drop unused and uninstallable libmount1-udeb" (Closes: #835504)
  * Bump libselinux1 build-dep to >= 2.6-3~
    - to guarantee that we're building against the version that has the udeb.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 08 Nov 2016 13:29:50 +0100

util-linux (2.29~rc2-1) experimental; urgency=medium

  * New upstream release candidate.
    - ionice: clarify documentation of -n,--classdata option (Closes: #826208)
    - tail'ing a file in a script session hangs (Closes: #820843)
  * Explicitly (re)enable deprecated pg utility
  * Extend symbols files with new symbols
  * Make testsuite run without parallel jobs
  * Bump to debhelper compat 10

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 24 Oct 2016 14:35:04 +0200
