=== debian/control ===
--- 
+++ 
@@ -1,25 +1,21 @@
 Source: util-linux
-Build-Depends: autoconf,
-               automake,
-               autopoint,
-               debhelper (>= 9.20141010),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 10),
                dh-exec (>= 0.13),
-               dh-systemd (>= 1.5),
                dpkg-dev (>= 1.17.14),
                gettext,
                libcap-ng-dev [linux-any] <!stage1>,
                libncurses5-dev,
                libncursesw5-dev,
                libpam0g-dev <!stage1>,
-               libselinux1-dev [linux-any],
+               libselinux1-dev (>= 2.6-3~) [linux-any],
                libsystemd-dev [linux-any] <!stage1>,
                libtool,
                libudev-dev [linux-any] <!stage1>,
                pkg-config,
                po-debconf,
                systemd [linux-any] <!stage1>,
-               zlib1g-dev
+               zlib1g-dev,
+               libaudit-dev
 Section: base
 Priority: required
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
@@ -203,6 +199,17 @@
 Description: device mounting library
  This device mounting library is used by mount and umount helpers.
 
+Package: libmount1-udeb
+XC-Package-Type: udeb
+Section: debian-installer
+Priority: optional
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Architecture: linux-any
+Description: stripped down device mounting library, for debian-installer
+ The device mounting library, used by mount and umount helpers.
+ .
+ This is a minimal package for debian-installer.
+
 Package: libmount-dev
 Architecture: linux-any
 Section: libdevel
@@ -326,7 +333,7 @@
 Package-Type: udeb
 Description: stripped down miscellaneous system utilities, for debian-installer
  This is a minimal version of util-linux for debian-installer. It only
- contains the blkid binary at the moment.
+ contains the blkid and fallocate binaries at the moment.
 
 Package: setpriv
 Architecture: linux-any
@@ -334,8 +341,3 @@
 Section: admin
 Priority: optional
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Multi-Arch: foreign
-Description: tool to run a program with different Linux privilege settings
- This package provides the setpriv command which allows the user to set or
- query various Linux privilege settings that are inherited across execve.
