=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,15 @@
 CONFOPTS += --libdir=/lib/$(DEB_HOST_MULTIARCH)
 CONFOPTS += --libexecdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 
+# Enable deprecated pg utility again as we're shipping it in the package.
+# Needs closer investigation if it can safely be removed.
+CONFOPTS += --enable-pg
+
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 CONFOPTS += --enable-raw
 CONFOPTS += --with-selinux
 CONFOPTS += --enable-partx
+CONFOPTS += --with-audit
 ifneq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
 	CONFOPTS += --without-systemd --without-udev
 else
@@ -50,7 +55,7 @@
 endif
 
 %:
-	dh $@ --with autoreconf,systemd
+	dh $@
 
 override_dh_autoreconf:
 	AM_OPTS=--copy LT_OPTS=--copy dh_autoreconf ./autogen.sh
@@ -125,6 +130,10 @@
 	done
 	#
 	rm -rf debian/*-udeb/usr/share/doc
+	# automatically trim SSD drives
+	if [ -f debian/util-linux/sbin/fstrim ] ; then \
+	    install -D -m 755 debian/fstrim-all.cron debian/util-linux/etc/cron.weekly/fstrim; \
+	fi
 
 override_dh_installman:
 	dh_installman --language=C
@@ -140,8 +149,6 @@
 	# - update-rc.d manually handled in maintainers scripts as there
 	#   is special per-arch considerations.
 	dh_installinit --name=hwclock.sh --noscripts
-	# install /etc/default/hwclock
-	dh_installinit --name=hwclock
 	# install uuidd sysvinit script
 	make misc-utils/uuidd.rc
 	ln -s ../misc-utils/uuidd.rc debian/uuid-runtime.uuidd.init
@@ -153,13 +160,17 @@
 	dh_installpam --package=util-linux --name=runuser-l
 
 override_dh_makeshlibs:
-	dh_makeshlibs -N libsmartcols1 -N libblkid1 -N libfdisk1 -N libuuid1
+	dh_makeshlibs \
+		-N libsmartcols1 -N libblkid1 \
+		-N libfdisk1 -N libmount1 -N libuuid1
 	dh_makeshlibs -plibsmartcols1 -V \
 		--add-udeb=libsmartcols1-udeb
 	dh_makeshlibs -plibblkid1 -V \
 		--add-udeb=libblkid1-udeb
 	dh_makeshlibs -plibfdisk1 -V \
 		--add-udeb=libfdisk1-udeb
+	dh_makeshlibs -plibmount1 -V \
+		--add-udeb=libmount1-udeb
 	dh_makeshlibs -plibuuid1 -V \
 		--add-udeb=libuuid1-udeb
 
@@ -168,8 +179,8 @@
 
 override_dh_auto_test:
 ifeq ($(DEB_HOST_ARCH_OS), linux)
-	dh_auto_test
+	dh_auto_test --max-parallel=1
 else
-	dh_auto_test || true
+	dh_auto_test --max-parallel=1 || true
 endif
